package LATMOS::Accounts::Web::Controller;

use strict;
use warnings;
use base 'Catalyst::Controller';

=head1 NAME

LATMOS::Accounts::Web::Controller - Base class Controller for LATMOS::Accounts::Web

=head1 DESCRIPTION

[enter your description here]

=head1 METHODS

=cut

=head2 default

=cut

sub begin : Private {
    my ( $self, $c ) = @_;

    my $menu = '';
    my @menus = (
        [ 'users' => 'Utilisateurs' ],
        [ 'create/user' => 'Créer un Utilisateurs' ],
        [ 'groups' => 'Groupes' ],
        [ 'sites' => 'Sites' ],
    );
    foreach(@menus) {
        $menu .= sprintf(
            q{<a href="%s"><span%s>%s</span></a>},
            $c->uri_for('/' . $_->[0]),
            ($c->req->path =~ m:^$_->[0]: ? ' id="actif"' : ''),
            $_->[1],
        );

    }
    $c->stash->{mainmenu} = $menu;
}

=head2 end

Attempt to render a view, if needed.

=cut 

sub end : ActionClass('RenderView') {
    my ($self, $c) = @_;
    $c->model('Accounts')->db->rollback;
}

=head1 AUTHOR

Thauvin Olivier

=head1 LICENSE

This library is free software, you can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

1;
